import 'package:flutter/material.dart';
import 'config/router.dart';
import 'core/theme/app_theme.dart';

void main() {
  runApp(const AfterWorkApp());
}

class AfterWorkApp extends StatelessWidget {
  const AfterWorkApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'AfterWork',
      theme: AppTheme.lightTheme,
      darkTheme: AppTheme.darkTheme, // Ajout du thème sombre
      themeMode: ThemeMode.system, // Choix automatique du thème en fonction du système
      onGenerateRoute: AppRouter.generateRoute,
      initialRoute: '/',
    );
  }
}
